Subject: Re: [BUG] Intermittant error referencing memory @0x00000010
From: "David A. Cobb" <[email-masked]>
To: Cygwin Discussion <[email-masked]>
Date: Thu, 12 Sep 2002 10:59:35 -0400

OK.  No-one picked up on this before.  Since then I did a search on the 
archive.  This may be related to the "fork(): ... Resource temporarily 
unavailable" -
because I see that too but thought it was a secondary symptom.

A couple of questions, maybe slightly smarter than before:
    I currently have error_start=dumper.exe, and I do not see dumper 
bringing up a console window in these errors.  It seems windows is 
dealing with the error itself and perhaps the Cygwin DLL never gets to 
see it (?).  If that is the case, how can I do JIT debugging?  It really 
needs to be an error_start, because of the unpredictable character 
during a /long/ make.
    So that a problem in the DLL doesn't also bite GDB, would y'all 
expect the MinGW GDB port to work?

    Most of the discussion I spotted was last year!  Has there been any 
progress in this?  Should I try re-basing, and if so, which dll's should 
be rebased?

OH YEAH!  Windoz2000pro, 192Meg real memory, latest of everything Cygwin.

Thanks,

On 09/07/2002, David A. Cobb wrote:

> Trying to do a bootstrap build of gcc-3.2-1, first cat.exe signalled
> 'cat.exe the instruction at 0x077f8ed61 referenced memory at 
> 0x0000010. The memory could not be "written"'
> followed by "Application failed to initialize (0xC0000142)"
>
> Retry, got the same error but in "sh.exe instruction at 0x77f8ed61" -- 
> HEY! that's strange - the same instruction address.
> must be in a dll, yes?
>
> Today, tried the same and configure ran like a charm.  However, "make 
> bootstrap" incurred the same
> 'memory at 0x00000010 could not be written' and 'App failed to 
> initialize' errors in /usr/bin.gcc.exe
>
> There seems no simple way to predict when this will happen, so I 
> imagine any debug/strace output would be huge.
> Is this a known bug?
>

-- 
David A. Cobb, Software Engineer, Public Access Advocate
"By God's Grace I am a Christian man, by my actions a great sinner." -- The Way of a Pilgrim; R. M. French, tr.
Life is too short to tolerate crappy software.
.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/